export interface Student extends StudentDto {
    ref: any;
    id: string;
    items: Item[];
}

export interface StudentDto {
    group: string;
    gymId: string;
    firstname: string;
    lastname: string;
    email: string;
}

export interface Item extends ItemDto {
    ref: any;
    id: string;
}

export interface ItemDto {
    invoiceId: number
    gymId: string;
    studentId: string;
    type: string;
    start?: string;
    end?: string;
    price: number;
    isPaid: boolean;
    account: string;
    comment: string;
}

export interface InvoiceMailDto {
    gymId: string;
    type: 'INVOICE' | 'CONFIRMATION',
    invoiceId: number,
    studentId: string
}

export interface ContactMailDto {
    name: string;
    email: string;
    comment: string
}

export interface Gym extends GymDto {
    id: string;
}

export interface GymDto {
    owners: string[];
    name: string;
    logoSrc: string;
    website: string;
    email: string,
    items: {
        key: string;
        label: string;
    }[]
    accounts: {
        label: string;
        account: {
            name: string;
            address: string;
            buildingNumber: string;
            zip: string;
            city: string;
            account: string;
            country: string;
        };
    }[]
}
